You are here

[Fixed] LibreOffice 5.4.4 doesn't start on Windows XP

21 posts / 0 new
Last post
Chim
Offline
Last seen: 1 day 4 hours ago
Joined: 2010-10-10 21:35
[Fixed] LibreOffice 5.4.4 doesn't start on Windows XP

Neither the main section nor the individual components come up when clicked on from my PA.com platform menu.

John T. Haller
John T. Haller's picture
Offline
Last seen: 4 hours 27 min ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
XP?

Are you using XP? If so, it is no longer supported. You can use LibreOffice Still 5.3.x for a little bit longer.

Sometimes, the impossible can become possible, if you're awesome!

Chim
Offline
Last seen: 1 day 4 hours ago
Joined: 2010-10-10 21:35
Yep ... XP

Ahhh yes, that would explain it. Yes, I do have Windows XP.

I did go back down to LibreOffice 5.3.2 that I still had the install file in my other Flash Drives. Unfortunately I had already deleted the 5.3.3 install file that I had in my main Flash Drive. Can I get that 5.3.3 install file back from somewhere?

Thanks for the heads up, John.

John T. Haller
John T. Haller's picture
Offline
Last seen: 4 hours 27 min ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Still 5.3.x

You can download LibreOffice Portable Still 5.3.7 from here: https://portableapps.com/apps/office/libreoffice_portable#previous

Sometimes, the impossible can become possible, if you're awesome!

Chim
Offline
Last seen: 1 day 4 hours ago
Joined: 2010-10-10 21:35
Even Better

5.3.7 --- That's even better.

Thanks, John.

Chim
Offline
Last seen: 1 day 4 hours ago
Joined: 2010-10-10 21:35
Apache OpenOffice an Option?

Are the Download Details on Apache OpenOffice correct? Does Apache OpenOffice still support Windows XP? If so, it could be an option to go with Apache OpenOffice over LibreOffice so as to go with an app that still supports Windows XP and thus maintains a continuation of updates, right?

John T. Haller
John T. Haller's picture
Offline
Last seen: 4 hours 27 min ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Yes and No

Apache OpenOffice was mostly abandoned for some time (known exploits taking many months to patch) and is only minimally maintained now, so it's years behind LibreOffice in terms of new development. LibreOffice Still 5.3.x is currently up to date and has more features and compatibility than OpenOffice, so I'd use that for now. But, when LibreOffice 5.3.x is dropped as 5.4.x becomes Still and a new version is released, that won't be an option any longer.

Sometimes, the impossible can become possible, if you're awesome!

Chim
Offline
Last seen: 1 day 4 hours ago
Joined: 2010-10-10 21:35
Oh, okay. Sounds like for my

Oh, okay. Sounds like for my purposes, it's best that I stick with LibreOffice then.

Thanks again for all the info and insight, John.

Dedanaan
Offline
Last seen: 6 months 3 weeks ago
Joined: 2014-10-26 04:17
I think LO 5.4.4 portable still should support XP...

Please correct me if I am wrong, but the two links here seem to indicate that LO 5.4 + still should support Win XP:

https://www.libreoffice.org/get-help/system-requirements/
"The software and hardware prerequisites for installing LibreOffice on a Windows system are as follows:
Microsoft Windows XP SP3, Vista, Windows Server 2008, Windows 7, Windows 8, Windows Server 2012, or Windows 10"

https://wiki.documentfoundation.org/ReleaseNotes/5.4
"Windows XP SP3, Windows Vista SP2 are both deprecated. The 5.4 release will be the last with any support of these operating systems."

I am thinking if the LO 5.4 branch still supports Win XP, and it isn't loading, perhaps something else is wrong...

I am running LO portable 5.4.3.2 in an Windows XP environment and it loads just fine.

John T. Haller
John T. Haller's picture
Offline
Last seen: 4 hours 27 min ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
5.4.4 does not

If you download regular LibreOffice 5.4.4 and try to install it on XP, it will refuse and say it needs Vista or better. I verified this personally on both a fully up to date XP SP3 virtual machine and one modified with POSReady to appear as Windows Embedded so it still gets security updates and isn't as insecure as regular XP. LibreOffice 5.4.4 definitely no longer supports XP.

Sometimes, the impossible can become possible, if you're awesome!

Patclash
Offline
Last seen: 4 days 16 hours ago
Joined: 2013-02-09 17:16
Hi ,

Hi ,
I have 2 machine running XP SP3 with POSReady and I have installed regular LibreOffice 5.4.4 without issue .....
(just running the installer and all fine)
Note : it's the french version

John T. Haller
John T. Haller's picture
Offline
Last seen: 4 hours 27 min ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Weird Internal Error

Weirdly, I tested it again and both the English and French 5.4.4 installers are starting but they hit an internal error just before finishing on my XP SP3 POSReady virtual machine. 5.4.4 English is now installing on my XP SP3 Clean IE7 vm, though. I'll need to play with this a bit.

Sometimes, the impossible can become possible, if you're awesome!

Dedanaan
Offline
Last seen: 6 months 3 weeks ago
Joined: 2014-10-26 04:17
Got it

My mistake - nothing beats actual testing. The info. in the links are incorrect and I drew the wrong conclusion. Sorry for the confusion.

John T. Haller
John T. Haller's picture
Offline
Last seen: 4 hours 27 min ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Bug on our end, working on fix

I've looked into this further and it appears to be a packaging issue with the included shared DLLs that's preventing it from starting on XP. I'm not sure if I mixed this up with another app in terms of LibreOffice local installer failing.

I'll be working on a fix this weekend that will be pushed into LibreOffice Portable 5.4.4 or 5.4.5 Still so that it will again work on Windows XP and continue to do so through the duration of 5.4.x being on the Still branch.

Sometimes, the impossible can become possible, if you're awesome!

Chim
Offline
Last seen: 1 day 4 hours ago
Joined: 2010-10-10 21:35
Will 5.4.3 be the Absolute Last Working Version on XP?

I see now on the LibreOffice download page that apparently Windows XP users can use version 5.4.3 instead of version 5.3.7 being the absolute last working version on Windows XP. I don't know if I'm understanding you correctly. Will the latest version 6.0.0 work on Windows XP or not?

John T. Haller
John T. Haller's picture
Offline
Last seen: 4 hours 27 min ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
5.4.4 works on XP with the right libraries

5.4.4 will work on XP provided all the right libraries are bundled. The current LibreOffice Portable 5.4.4 release does not have all the necessary libraries. I'll be packaging up LibreOffice Portable Still 5.4.4 (or 5.4.5 depending on scheduling) this weekend with the appropriate libraries for Windows XP so it will work on it. This will be the Still channel of LibreOffice (older, no new features through its life, but more stable) replacing LibreOffice Still 5.3.x which is no longer supported. We support both LibreOfficePortable and LibreOfficePortableStill alongside each other as both manual installs and automatic updates with the platform. The 5.4.x Still line is scheduled to get a .5 release and a .6 release of bug fixes and then be retired in June. See: https://wiki.documentfoundation.org/ReleasePlan

Version 6 of LibreOffice requires Windows 7 and later. It does not work under Windows XP or Windows Vista. It never will. It's using a more modern compiler that drops support for those operating systems. Once LibreOffice Still 5.4.x is retired in June, there will no longer be a version of LibreOffice that is supported and patched for security bugs for XP or Vista. At that point, I'd wager OpenOffice will still work on XP since development of it is mostly dead and has been for some years. They are slow to release security updates (took 6+ months at one point) but it is still getting occasional patches.

Sometimes, the impossible can become possible, if you're awesome!

Chim
Offline
Last seen: 1 day 4 hours ago
Joined: 2010-10-10 21:35
Got It

Okay, got it. Version 6.0.0 will NOT work on Windows XP ... EVER ... PERIOD. In that event, I'll be on the lookout for that version 5.4.4 or 5.4.5 Still, whichever you release this weekend or next week, whenever it comes out.

Thanks, John.

John T. Haller
John T. Haller's picture
Offline
Last seen: 4 hours 27 min ago
AdminDeveloperModerator
Joined: 2005-11-28 22:21
Fixed in LibreOffice Portable Still 5.4.5

This issue is fixed in today's release of LibreOffice Portable Still 5.4.5. I'll be checking Windows XP compatibility for each release on the 5.4.x Still branch up until June 11, 2018 at which point it will be end-of-lifed.

Sometimes, the impossible can become possible, if you're awesome!

Kieran
Offline
Last seen: 1 month 8 hours ago
Joined: 2018-04-25 21:26
Looks like LibreOffice 5.4.6.2 may run on SP3

extracted from msi and replaced \app\libreoffice folder
Moved concrt140 msvcp140 ucrtbase vcorelib140 vcruntime140 dated 15/03/2018 but not the other DLL's from MSI packaged \system folder to \program subfolder have NOT checked if any others NEED overwrite since writer seems to work without crashing (placed text, change font, insert image, save as htm and pdf)

PS to get offline help working had to rename the help\en-gb folder to help\en per other thread

cbk
Offline
Last seen: 2 months 1 week ago
Joined: 2008-04-26 16:26
runing 5.4.7 on my xp machine

runing 5.4.7 on my xp machine

Kieran
Offline
Last seen: 1 month 8 hours ago
Joined: 2018-04-25 21:26
LibreOffice 5.4.7.2 may be last available to run on SP3

As we are now past official EOL

extracted from msi and replaced \app\libreoffice folder
Moved concrt140 msvcp140 ucrtbase vcorelib140 vcruntime140 signed 26/Aug/2018 but not the other DLL's from MSI packaged \system folder to \program subfolder have NOT checked if any others NEED overwrite since writer seems to work without crashing (placed text, change font, insert image, save as htm and pdf)

PS to get offline help working had to download and rename the help\en-gb folder to help\en per thread https://portableapps.com/node/52616

[Bump removed by mod JTH. Bumping is not allowed as per the forum guidelines.]

Log in or register to post comments